> For the complete documentation index, see [llms.txt](https://developer.eagle.cool/plugin-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.eagle.cool/plugin-api/ja-jp/api/shell.md).

# shell（シェル）

`shell`モジュールは、デスクトップ統合に関連する機能を提供します。

***

#### 方法 <a href="#z1a5y" id="z1a5y"></a>

## beep() <a href="#tkp0d" id="tkp0d"></a>

システムのビープ音を再生します。

* 返り値 `Promise<void>`

```javascript
await eagle.shell.beep();
```

***

## openExternal(url) <a href="#haugb" id="haugb"></a>

指定されたURLをシステムのデフォルト方法で開きます。注意：システムにデフォルトアプリが設定されていない場合、この機能は何も反応しません。

* `url` string - 開こうとしているURL
* 返り値 `Promise<void>`

```javascript
await eagle.shell.openExternal('https://www.google.com/');
```

***

## openPath(path) <a href="#bh5yu" id="bh5yu"></a>

指定されたパスを、システムのデフォルト方法で開きます。

* `path` string - 開くファイルのパス
* 返り値 `Promise<void>`

```javascript
await eagle.shell.openPath('path_to_file');
```

***

## showItemInFolder(path) <a href="#sdnth" id="sdnth"></a>

ファイルマネージャで指定されたファイルやフォルダを表示します。

* `path` string - 表示したい指定されたファイルやフォルダ
* 返り値 `Promise<void>`

```javascript
await eagle.shell.showItemInFolder('path_to_file_or_directory');
```

### &#x20;<a href="#nptwx" id="nptwx"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/ja-jp/api/shell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
